⌘K

MidJourney Upscale

midjourney_upscale

MidJourney Upscale enhances image resolution and detail while preserving artistic quality.

MidJourney API Notes

The MidJourney API is divided into two categories: Direct Generation and Secondary Editing. Direct Generation only requires providing necessary parameters such as prompts to generate images directly. Secondary Editing requires providing the previous task ID and image number to execute image generation. upscale is a Secondary Editing category

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: midjourney_upscale


jobId string required

Job ID.


imageNo integer required

Image number, range 0-3.

Options: 0, 1, 2, 3


type integer required

Upscale type: 0 (Standard), 1 (Creative), 2 (v5_2x), 3 (v5_4x).

Options: 0, 1, 2, 3


callback string

Callback URL, must start with http:// or https://.


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code integer

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type, e.g., video, image.

url string

Generated content URL.


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD.

discount number

Discount amount.


metadata object

Metadata information.


Error Codes

Error CodeDescription
0No error
8004005001Job ID missing
8004005002Image number missing
8004005003Invalid image number
8004005004Type missing
8004005005Invalid type
8004005006Invalid callback URL
8004005098Generation process failed
8004005099Provider unavailable